Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:           nodejs-oauth-sign
Version:        0.8.1
Release:        alt1_7
Summary:        OAuth1 signing for Node.js
License:        ASL 2.0
URL:            https://github.com/mikeal/oauth-sign
Source0:        https://registry.npmjs.org/oauth-sign/-/oauth-sign-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/oauth-sign
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/oauth-sign
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
%__nodejs test.js
%endif


%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/oauth-sign


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_2
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_1
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_1
- initial import

